<?php

/**
 * Time tracker
 * (c) 2021 Christian Grieger (elektro.turanis.de)
 *
 * Hint: Customize to your needs in config.php
 */

define('BASEPATH', dirname(dirname(__FILE__)));

require_once BASEPATH.'/config.php';
require_once BASEPATH.'/database.php';
require_once BASEPATH.'/timetracker.php';

TimeTracker::authorize();

// IoT device requests logging
if (isset($_GET['t']) && isset($_GET['a'])) {
	TimeTracker::logTime((int)$_GET['t'], (int)$_GET['a']);
	exit(0);
}
if (isset($_GET['clear'])) {
	TimeTracker::clearLogTimes((int)$_GET['clear']);
}

?>
<html>
    <head>
        <meta charset="UTF-8"/>
        <title>Time tracker</title>
        <link rel="stylesheet" type="text/css" href="timetracker.css"/>
        <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
		<script type="text/javascript">
			function clearConfirm(typeId, type) {
				if(confirm('Delete all tracked times of "'+type+'"?')) {
					location.href = "?clear="+typeId+"&psk=<?php print Config::PSK; ?>";
				}
			}
		</script>
    </head>
    <body>
		<h1>Time tracker</h1>
		<?php
			foreach(Config::$typeIds as $typeId => $type) {
				print '<h2>'.$type.'</h2>';
				$seconds = TimeTracker::getLogTimeSum($typeId);
				print '<p>';
				print TimeTracker::getFormattedTime($seconds);
				print '<a class="clear" href="javascript:clearConfirm('.$typeId.', \''.$type.'\')">clear</a>';
				print '</p>';
			}
		?>
    </body>
</html>