<?php

class TimeTracker
{
    public static function authorize()
    {
        if (!isset($_GET['psk'])) {
            exit(0);
        }
        if ($_GET['psk'] != Config::PSK) {
            exit('Unauthorized request');
        }
    }

    /**
     * @param int $typeId
	 * @param int $logAction
     */
    public static function logTime ($typeId, $logAction)
    {
		if (!isset(Config::$typeIds[$typeId])) {
			return;
		}
		$db = Db::getInstance();
		$db->execute('INSERT INTO `trackedTimes` (`timestamp`, `typeId`, `logAction`) VALUES('.time().', '.(int)$typeId.', '.(int)$logAction.');');
    }

	/**
	 * @param int $typeId
	 */
    public static function clearLogTimes($typeId)
	{
		$db = Db::getInstance();
		$db->execute('DELETE FROM `trackedTimes` WHERE `typeId`='.(int)$typeId.';');
	}

	/**
	 * Fetches the amount of seconds tracked for a specific type
	 * @param int $typeId
	 * @return int
	 */
	public static function getLogTimeSum($typeId)
	{
		$db = Db::getInstance();
		$dbRes = $db->query('SELECT * FROM `trackedTimes` WHERE `typeId`='.(int)$typeId.' ORDER BY `timestamp` ASC;');

		$sumSeconds = 0;
		$timeStart = 0;
		foreach($dbRes as $dbRow) {
			if ($timeStart == 0 && $dbRow['logAction'] == 0) {
				$timeStart = $dbRow['timestamp'];
			}
			if ($timeStart > 0 && $dbRow['logAction'] == 1) {
				$sumSeconds += $dbRow['timestamp']-$timeStart;
				$timeStart = 0;
			}
		}

		return $sumSeconds;
	}

	/**
	 * @param int $seconds
	 * @return string
	 */
	public static function getFormattedTime($seconds)
	{
		$hours = floor($seconds / 3600);
		$minutes = floor(($seconds / 60) % 60);
		$sec = $seconds % 60;
		$result = '';
		if ($hours > 0) {
			$result .= $hours . ' hours ';
		}
		if ($hours > 0 || $minutes > 0) {
			$result .= $minutes . ' minutes ';
		}
		$result .= $sec . ' seconds';

		return $result;
	}
}